package intrinsic.mx.controls.dataGridClasses;

public class DataGridHeader extends intrinsic.mx.controls.dataGridClasses.DataGridHeaderBase {

	/** Accessors */

	/** Variables */
	public double rightOffset;
	public boolean needRightSeparator;
	public boolean needRightSeparatorEvents;
	public double topOffset;
	public double bottomOffset;
	public double leftOffset;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DataGridHeader() {
}


/** Static Methods */

/** Methods */
public native void styleChanged(String arg0);
public native void invalidateSize();
public native void invalidateDisplayList();

}
